package de.dass_it.vanhelsing.gui.items;
public class PoolItem extends ItemType implements UserObjectItem{
	private String name;
	private String maximumvolumes;
	private String pooltype;
	private String storage;
	private String usevolumeonce;
	private String maximumvolumejobs;
	private String maximumvolumefiles;
	private String maximumvolumebytes;
	private String volumeuseduration;
	private String catalogfiles;
	private String autoprune;
	private String volumeretention;
	private String actiononpurge;
	private String scratchpool;
	private String recyclepool;
	private String recycle;
	private String recycleoldestvolume;
	private String recyclecurrentvolume;
	private String purgeoldestvolume;
	private String fileretention;
	private String jobretention;
	private String cleaningprefix;
	private String labelformat;

	public PoolItem() {}
	
	public PoolItem(String name, String pooltype){
	setName(name);
	setPooltype(pooltype);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getMaximumvolumes() {
		return maximumvolumes;
	}

	public void setMaximumvolumes(String maximumvolumes) {
		this.maximumvolumes = maximumvolumes;
	}

	public String getPooltype() {
		return pooltype;
	}

	public void setPooltype(String pooltype) {
		this.pooltype = pooltype;
	}

	public String getStorage() {
		return storage;
	}

	public void setStorage(String storage) {
		this.storage = storage;
	}

	public String getUsevolumeonce() {
		return usevolumeonce;
	}

	public void setUsevolumeonce(String usevolumeonce) {
		this.usevolumeonce = usevolumeonce;
	}

	public String getMaximumvolumejobs() {
		return maximumvolumejobs;
	}

	public void setMaximumvolumejobs(String maximumvolumejobs) {
		this.maximumvolumejobs = maximumvolumejobs;
	}

	public String getMaximumvolumefiles() {
		return maximumvolumefiles;
	}

	public void setMaximumvolumefiles(String maximumvolumefiles) {
		this.maximumvolumefiles = maximumvolumefiles;
	}

	public String getMaximumvolumebytes() {
		return maximumvolumebytes;
	}

	public void setMaximumvolumebytes(String maximumvolumebytes) {
		this.maximumvolumebytes = maximumvolumebytes;
	}

	public String getVolumeuseduration() {
		return volumeuseduration;
	}

	public void setVolumeuseduration(String volumeuseduration) {
		this.volumeuseduration = volumeuseduration;
	}

	public String getCatalogfiles() {
		return catalogfiles;
	}

	public void setCatalogfiles(String catalogfiles) {
		this.catalogfiles = catalogfiles;
	}

	public String getAutoprune() {
		return autoprune;
	}

	public void setAutoprune(String autoprune) {
		this.autoprune = autoprune;
	}

	public String getVolumeretention() {
		return volumeretention;
	}

	public void setVolumeretention(String volumeretention) {
		this.volumeretention = volumeretention;
	}

	public String getActiononpurge() {
		return actiononpurge;
	}

	public void setActiononpurge(String actiononpurge) {
		this.actiononpurge = actiononpurge;
	}

	public String getScratchpool() {
		return scratchpool;
	}

	public void setScratchpool(String scratchpool) {
		this.scratchpool = scratchpool;
	}

	public String getRecyclepool() {
		return recyclepool;
	}

	public void setRecyclepool(String recyclepool) {
		this.recyclepool = recyclepool;
	}

	public String getRecycle() {
		return recycle;
	}

	public void setRecycle(String recycle) {
		this.recycle = recycle;
	}

	public String getRecycleoldestvolume() {
		return recycleoldestvolume;
	}

	public void setRecycleoldestvolume(String recycleoldestvolume) {
		this.recycleoldestvolume = recycleoldestvolume;
	}

	public String getRecyclecurrentvolume() {
		return recyclecurrentvolume;
	}

	public void setRecyclecurrentvolume(String recyclecurrentvolume) {
		this.recyclecurrentvolume = recyclecurrentvolume;
	}

	public String getPurgeoldestvolume() {
		return purgeoldestvolume;
	}

	public void setPurgeoldestvolume(String purgeoldestvolume) {
		this.purgeoldestvolume = purgeoldestvolume;
	}

	public String getFileretention() {
		return fileretention;
	}

	public void setFileretention(String fileretention) {
		this.fileretention = fileretention;
	}

	public String getJobretention() {
		return jobretention;
	}

	public void setJobretention(String jobretention) {
		this.jobretention = jobretention;
	}

	public String getCleaningprefix() {
		return cleaningprefix;
	}

	public void setCleaningprefix(String cleaningprefix) {
		this.cleaningprefix = cleaningprefix;
	}

	public String getLabelformat() {
		return labelformat;
	}

	public void setLabelformat(String labelformat) {
		this.labelformat = labelformat;
	}
}

